RLETOASCII(1)

NAME
rletoascii - Print an RLE image as ASCII chars.

SYNOPSIS
rletoascii [ -S asciistr ] [ -r ] [ -o outfile ] [ infile ]

DESCRIPTION
Rletoascii reads a file in RLE(5) format, converts it to black and white, then dumps it as ASCII characters. The 0 to 255 range of pixel values in the image is scaled to the length of asciistr and a the character at that position in the string is printed for each pixel. Input will be read from infile if specified, from standard input, otherwise. Output dumps to standard output, or outfile, if specified. Usually, the input will need to be resized by fant(1) or rlezoom(1) to make it small enough to fit on the screen and to adjust the pixel aspect ratio to the "character aspect ratio" of the terminal. To get it "right side up", use rleflip(1) with the -v option. Finally, it may be helpful to maximize the dynamic range with rlespiff(1).

OPTIONS

-S asciistr
    Specifies the range of ascii characters for conversion. The default string (@BR*#$PX0woIcv:+!~"., ) was designed to look good with the X 6x13 font.

-r  Reverse video. This causes the 0 to 255 range to be mapped to the reverse of the ascii string.

SEE ALSO
fant(1), rleflip(1), rlespiff(1), rlezoom(1), urt(1), RLE(5).

AUTHOR
Rod G. Bogart, University of Michigan.

DEFICIENCIES
Could be rewritten to use overprinting for output to a real printer.